#include "CS_PeBubbleBeamHit.h"

CS_PeBubbleBeamHit::CS_PeBubbleBeamHit()
{
	type = 3;
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"pe_bubblebeam_hit";
	topDraw = true;
}

void CS_PeBubbleBeamHit::Step()
{
	if (ani.image_index == 5)
		Destroy();
}

std::shared_ptr<Entity> CreateCS_PeBubbleBeamHit()
{
	return std::make_shared<CS_PeBubbleBeamHit>();
}

void SetCS_PeBubbleBeamHit(std::shared_ptr<Entity> parent, float x, float y)
{
	auto pe = std::make_shared<CS_PeBubbleBeamHit>();
	pe->x = x;
	pe->y = y;
	parent->gameFunc->SetEntity(parent, pe);
}
